package com.pixelized.shared.lwa.model.item

data class Item(
    val id: String,
    val metadata: MetaData,
    val options: Options,
    val tags: List<String>,
    val alterations: List<String>,
) {
    data class MetaData(
        val label: String,
        val description: String,
        val thumbnail: String?,
        val image: String?,
    )

    data class Options(
        val stackable: Boolean,
        val equipable: Boolean,
        val consumable: Boolean,
    )
}